gRPC C#
gRPC C#
Namespaces
Grpc.Core
IAsyncStreamReader(T) Interface
IAsyncStreamReader(T) Properties
IAsyncStreamReader(T) Methods

IAsyncStreamReader T Interface

A stream of messages to be read.

Namespace: Grpc.Core
Assembly: Grpc.Core (in Grpc.Core.dll) Version: 0.7.0.0
Syntax
C#
VB
C++
F#
Copy

    public interface IAsyncStreamReader<T> : IAsyncEnumerator<T>,
    	IDisposable

    Public Interface IAsyncStreamReader(Of T)
    	Inherits IAsyncEnumerator(Of T), IDisposable

    generic<typename T>
    public interface class IAsyncStreamReader : IAsyncEnumerator<T>,
    	IDisposable

    type IAsyncStreamReader<'T> =
        interface
            interface IAsyncEnumerator<'T>
            interface IDisposable
        end

#### Type Parameters

T
  The message type.

The IAsyncStreamReader
T
type exposes the following members.

Properties

| Name | Description
--- | --- | ---
| Current | (Inherited from IAsyncEnumerator T .)

Top
Methods

| Name | Description
--- | --- | ---
| Dispose | Performs application-defined tasks associated with freeing, releasing, or resetting unmanaged resources. (Inherited from IDisposable.)
| MoveNext | (Inherited from IAsyncEnumerator T .)

Top
Extension Methods

| Name | Description
--- | --- | ---
| ForEachAsync T | Reads the entire stream and executes an async action for each element. (Defined by AsyncStreamExtensions.)
| ToListAsync T | Reads the entire stream and creates a list containing all the elements read. (Defined by AsyncStreamExtensions.)

Top
See Also

#### Reference

Grpc.Core Namespace